%define name        acetoneiso
%define version     2.3
%define release     %mkrel 4

Summary:   A CD/DVD image manipulator
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv3
Group:     Archiving/Cd burning
URL:       www.acetoneteam.org
Source0:   www.acetoneteam.org/%{name}_%{version}.tar.xz
Patch1: fix_phonon_includes.patch
Patch2: add_manpage
Patch3: remove_defunct_homepage
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: %{_lib}qtwebkit4-devel
BuildRequires: phonon-devel
Requires: %{_lib}qtcore4  
Requires: fuse >= 2.7.4-5
Requires: fuseiso cdrdao cdrkit-genisoimage cdrkit 
Requires: pinentry-qt5 gnupg2 p7zip 
Provides: acetoneiso
Obsoletes: acetoneiso2


%description
- Mount automatically ISO, MDF, NRG, BIN, NRG
- A nice interactive display
- Convert2iso / Extract2folder: *.bin *.mdf *.nrg *.img *.daa *.cdi *.b5i *.bwi *.pdi and much more
- Play a DVD Movie Image inside Kaffeine / VLC with cover downloader
- Generate an ISO from a Folder or CD/DVD
- Generate / Check MD5 file of an image
- Encrypt / Decrypt an image
- Split / Merge image in X megabyte
- Compress with High Ratio an image in 7z format
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Restore a lost CUE file of *.bin *.img
- Convert Mac OS *.dmg to a mountable image
- El-Torito support to create ISO bootable Cd
- Mount an image in a specified folder from the user
- Create a database of images
- Extract the Boot Image of a CD/DVD or ISO

%prep
%setup -q -n %{name}_%{version}
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
#PATH=/usr/lib/qt4/bin:$PATH
cd %{name}/
qmake "QMAKE_CXXFLAGS=$RPM_OPT_FLAGS -I/usr/include/KDE"
###%qmake_qt4
%make

%install
rm -rf %{buildroot}

cd %{name}/
make INSTALL_ROOT=$RPM_BUILD_ROOT install


# menu 
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/AcetoneISO.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=/usr/bin/acetoneiso
Icon=%{_iconsdir}/%{name}.png
MimeType=application/x-iso
Name=AcetoneISO
GenericName=CD/DVD image manipulator
GenericName[it]=Strumenti per immagini CD/DVD
GenericName[de]=CD/DVD-Abbildmanager
StartupNotify=true
Terminal=false
Type=Application
X-KDE-SubstituteUID=false
Categories=Qt;KDE;Application;AudioVideo;DiscBurning;X-MandrivaLinux-System-Archiving-CDBurning;
EOF

#icon
install -m 644 images/Acetino2.png -D %{buildroot}%{_iconsdir}/%{name}.png

%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FEATURES LICENSE README 
%{_bindir}/*
%{_iconsdir}/%{name}.png
%{_datadir}/applications/AcetoneISO.desktop
%{_datadir}/pixmaps/Acetino2.png

%changelog
* Fri Dec 22 2017 ghostbunny <ghostbunny at gmx dot de> 2.3-4pclos2017
- depend on pinentry-qt5 instead of qt4
- add missing BR phonon-devel, libqtwebkit4-devel

* Wed Aug 27 2014 bb <bb> 2.3-3pclos2014
- remove defunct home page

* Tue Oct 01 2013 pinoc <vogtpet at gmail.com> 2.3-2pclos2013
- added phonon patch and fixed Requires
- rebuild for 32/64

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 2.3-1pclos2010
- 2.3

* Fri Oct 01 2010 Texstar <texstar at gmail.com> 2.2.2-2pclos2010
- change dependency to pinentry-qt4

* Mon Jul 12 2010 Texstar <texstar at gmail.com> 2.2.2-1pclos2010
- 2.2.2

* Mon Nov 16 2009 Texstar <texstar at gmail.com> 2.2.1-1pclos2010
- 2.2.1

* Wed Sep 23 2009 Texstar <texstar at gmail.com> 2.1.1-3pclos2009
- rebuild and require fuse 2.7.4-5 with correct udev permissions


* Wed Sep 22 2009 slick50 <lxgator at gmail.com> 2.1.1-2pclos2009
- 2.1.1
- rebuild - fix permissions with fuse

* Wed Sep 02 2009 slick50 <lxgator at gmail.com> 2.0.4-1pclos2009
- 2.0.4

* Sat Aug 01 2009 slick50 <lxgator at gmail.com> 2.0.3.2-1pclos2009
- 2.0.3.2

* Fri Jan 25 2008 maik3531 <maik3531 at web.de>
- update to version 2.0.0 final
- fix menu entry (texstar)
- fix post scripts (texstar)

* Thu Dec 18 2007 maik3531 <maik3531 at web.de>
- rebuild to PCLinuxOS 
- 2.0 svn

* Sat Dec 08 2007 Massimo Pissarello <mach07 at tele2.ch> 2.0RC1-1
- Initial release
